Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InplaceSelectBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.ComboBoxBaseRenderer
                      org.richfaces.renderkit.InplaceSelectBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  InplaceSelectRenderer

    public class InplaceSelectBaseRenderer

extends ComboBoxBaseRenderer

InplaceSelect base renderer implementation

Since:
  3.2.0
Author:
  Anton Belevich

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`InplaceSelectBaseRenderer()`

Method Summary
`protected java.lang.String` | `createDefaultLabel(javax.faces.component.UIComponent component)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeControlsFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.util.List<java.lang.Object>` | `encodeItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`protected java.lang.String` | `getItemLabel(javax.faces.context.FacesContext context, UIInplaceSelect component, java.lang.Object value)`
`boolean` | `isControlsFacetExists(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected boolean` | `isEmptyDefaultLabel(java.lang.String defaultLabel)`

Methods inherited from class org.richfaces.renderkit.ComboBoxBaseRenderer
`encodeSuggestion, encodeSuggestionValues, encodeValue, getAsEventHandler, getConvertedStringValue, getConvertedValue, getItemsTextAsJSArray, isAcceptableComponent`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InplaceSelectBaseRenderer

    public InplaceSelectBaseRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `ComboBoxBaseRenderer`

### encodeItems

    public java.util.List<java.lang.Object> encodeItems(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)
                                                 throws java.io.IOException,
                                                        java.lang.IllegalArgumentException

  Overrides:
    `encodeItems` in class `ComboBoxBaseRenderer`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### encodeControlsFacet

    public void encodeControlsFacet(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### isControlsFacetExists

    public boolean isControlsFacetExists(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Overrides:
    `getComponentClass` in class `ComboBoxBaseRenderer`

### getItemLabel

    protected java.lang.String getItemLabel(javax.faces.context.FacesContext context,
                                            UIInplaceSelect component,
                                            java.lang.Object value)

### createDefaultLabel

    protected java.lang.String createDefaultLabel(javax.faces.component.UIComponent component)

### isEmptyDefaultLabel

    protected boolean isEmptyDefaultLabel(java.lang.String defaultLabel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.